LINUX.ORG.RU

Firefox самостоятельно удалил поисковик Яндекс

 , , ,


0

2

Привет. 11.03.2022 я произвёл обнову Debian testing, а сегодня 14.03.2022 первый раз с того момента запустил браузер и удивился - лиса самостоятельно почистила все следы наличия поисковика яндекс. Вместо него по умолчанию встал гугл. Смотрю обновы за 11.03.2022, среди пакетов ничего такого, что могло бы произвести замену:

$ tree
.
├── apt_2.4.1_amd64.deb
├── apt-utils_2.4.1_amd64.deb
├── breeze_4%3a5.24.2-1_amd64.deb
├── breeze-cursor-theme_4%3a5.24.2-1_all.deb
├── calibre_5.38.0+dfsg-1_all.deb
├── calibre-bin_5.38.0+dfsg-1_amd64.deb
├── cups_2.4.1op1-2_amd64.deb
├── cups-bsd_2.4.1op1-2_amd64.deb
├── cups-client_2.4.1op1-2_amd64.deb
├── cups-common_2.4.1op1-2_all.deb
├── cups-core-drivers_2.4.1op1-2_amd64.deb
├── cups-daemon_2.4.1op1-2_amd64.deb
├── cups-ipp-utils_2.4.1op1-2_amd64.deb
├── cups-ppdc_2.4.1op1-2_amd64.deb
├── cups-server-common_2.4.1op1-2_all.deb
├── fonts-opensymbol_2%3a102.12+LibO7.3.1-1_all.deb
├── gir1.2-gtk-3.0_3.24.33-1_amd64.deb
├── gir1.2-handy-1_1.5.91-1_amd64.deb
├── gtk-update-icon-cache_3.24.33-1_amd64.deb
├── hwdata_0.357-1_all.deb
├── kdeconnect_21.12.3-1_amd64.deb
├── kde-style-breeze_4%3a5.24.2-1_amd64.deb
├── kwin-style-breeze_4%3a5.24.2-1_amd64.deb
├── libapt-pkg6.0_2.4.1_amd64.deb
├── libbdplus0_0.2.0-dmo1_amd64.deb
├── libbluray2_2%3a1.3.1-dmo1_amd64.deb
├── libclang1-13_1%3a13.0.1-3+b1_amd64.deb
├── libcups2_2.4.1op1-2_amd64.deb
├── libcups2_2.4.1op1-2_i386.deb
├── libegl-mesa0_21.3.7-1_amd64.deb
├── libegl-mesa0_21.3.7-1_i386.deb
├── libflac++6v5_1.3.4-1_amd64.deb
├── libflac8_1.3.4-1_amd64.deb
├── libflac8_1.3.4-1_i386.deb
├── libgbm1_21.3.7-1_amd64.deb
├── libgbm1_21.3.7-1_i386.deb
├── libgl1-mesa-dri_21.3.7-1_amd64.deb
├── libgl1-mesa-dri_21.3.7-1_i386.deb
├── libglapi-mesa_21.3.7-1_amd64.deb
├── libglapi-mesa_21.3.7-1_i386.deb
├── libglu1-mesa_9.0.2-1_amd64.deb
├── libglu1-mesa_9.0.2-1_i386.deb
├── libglu1-mesa-dev_9.0.2-1_amd64.deb
├── libglx-mesa0_21.3.7-1_amd64.deb
├── libglx-mesa0_21.3.7-1_i386.deb
├── libgtk-3-0_3.24.33-1_amd64.deb
├── libgtk-3-0_3.24.33-1_i386.deb
├── libgtk-3-bin_3.24.33-1_amd64.deb
├── libgtk-3-common_3.24.33-1_all.deb
├── libhandy-1-0_1.5.91-1_amd64.deb
├── libkdecorations2-5v5_4%3a5.24.2-2_amd64.deb
├── libkdecorations2private9_4%3a5.24.2-2_amd64.deb
├── liblibreoffice-java_1%3a7.3.1-1_all.deb
├── libllvm11_1%3a11.1.0-6+b1_amd64.deb
├── libllvm12_1%3a12.0.1-19+b1_amd64.deb
├── libllvm12_1%3a12.0.1-19+b1_i386.deb
├── libllvm13_1%3a13.0.1-3+b1_amd64.deb
├── libllvm13_1%3a13.0.1-3+b1_i386.deb
├── liblouis20_3.21.0-1_amd64.deb
├── liblouis-data_3.21.0-1_all.deb
├── liblouisutdml9_2.11.0-1_amd64.deb
├── liblouisutdml-bin_2.11.0-1_amd64.deb
├── liblouisutdml-data_2.11.0-1_all.deb
├── libobs0_1%3a27.2.3-dmo1_amd64.deb
├── libosmesa6_21.3.7-1_amd64.deb
├── libosmesa6_21.3.7-1_i386.deb
├── libreoffice-base-core_1%3a7.3.1-1_amd64.deb
├── libreoffice-calc_1%3a7.3.1-1_amd64.deb
├── libreoffice-common_1%3a7.3.1-1_all.deb
├── libreoffice-core_1%3a7.3.1-1_amd64.deb
├── libreoffice-draw_1%3a7.3.1-1_amd64.deb
├── libreoffice-gnome_1%3a7.3.1-1_amd64.deb
├── libreoffice-gtk3_1%3a7.3.1-1_amd64.deb
├── libreoffice-help-common_1%3a7.3.1-1_all.deb
├── libreoffice-help-en-us_1%3a7.3.1-1_all.deb
├── libreoffice-help-ru_1%3a7.3.1-1_all.deb
├── libreoffice-impress_1%3a7.3.1-1_amd64.deb
├── libreoffice-l10n-ru_1%3a7.3.1-1_all.deb
├── libreoffice-math_1%3a7.3.1-1_amd64.deb
├── libreoffice-qt5_1%3a7.3.1-1_amd64.deb
├── libreoffice-style-breeze_1%3a7.3.1-1_all.deb
├── libreoffice-style-colibre_1%3a7.3.1-1_all.deb
├── libreoffice-style-elementary_1%3a7.3.1-1_all.deb
├── libreoffice-style-sifr_1%3a7.3.1-1_all.deb
├── libreoffice-writer_1%3a7.3.1-1_amd64.deb
├── librist4_0.2.6-dmo2_amd64.deb
├── libsemanage2_3.3-1+b2_amd64.deb
├── libspeex1_1.2~rc1.2-2_amd64.deb
├── libspeex1_1.2~rc1.2-2_i386.deb
├── libspeexdsp1_1.2~rc1.2-2_amd64.deb
├── libsrt1.4-gnutls_1.4.4-2_amd64.deb
├── libsubid4_1%3a4.11.1+dfsg1-2_amd64.deb
├── libuno-cppu3_1%3a7.3.1-1_amd64.deb
├── libuno-cppuhelpergcc3-3_1%3a7.3.1-1_amd64.deb
├── libunoloader-java_1%3a7.3.1-1_all.deb
├── libuno-purpenvhelpergcc3-3_1%3a7.3.1-1_amd64.deb
├── libuno-sal3_1%3a7.3.1-1_amd64.deb
├── libuno-salhelpergcc3-3_1%3a7.3.1-1_amd64.deb
├── libvlc5_1%3a3.0.17-dmo2_amd64.deb
├── libvlc-bin_1%3a3.0.17-dmo2_amd64.deb
├── libvlccore9_1%3a3.0.17-dmo2_amd64.deb
├── libxatracker2_21.3.7-1_amd64.deb
├── libxaw7_2%3a1.0.14-1_amd64.deb
├── libxres1_2%3a1.2.1-1_amd64.deb
├── login_1%3a4.11.1+dfsg1-2_amd64.deb
├── media-types_6.0.0_all.deb
├── mesa-va-drivers_21.3.7-1_amd64.deb
├── mesa-va-drivers_21.3.7-1_i386.deb
├── mesa-vdpau-drivers_21.3.7-1_amd64.deb
├── mesa-vdpau-drivers_21.3.7-1_i386.deb
├── mesa-vulkan-drivers_21.3.7-1_amd64.deb
├── mesa-vulkan-drivers_21.3.7-1_i386.deb
├── microsoft-edge-beta_99.0.1150.38-1_amd64.deb
├── mmdebstrap_0.8.5-1_all.deb
├── obs-plugins_1%3a27.2.3-dmo1_amd64.deb
├── obs-studio_1%3a27.2.3-dmo1_amd64.deb
├── ovmf_2022.02-2_all.deb
├── oxygen-sounds_4%3a5.24.2-1_all.deb
├── passwd_1%3a4.11.1+dfsg1-2_amd64.deb
├── perl-tk_1%3a804.036-1_amd64.deb
├── python3-fonttools_4.29.1-2_amd64.deb
├── python3-louis_3.21.0-1_all.deb
├── python3-unicodedata2_14.0.0+ds-8_amd64.deb
├── python3-uno_1%3a7.3.1-1_amd64.deb
├── qbittorrent_4.4.1-3_amd64.deb
├── uidmap_1%3a4.11.1+dfsg1-2_amd64.deb
├── uno-libs-private_1%3a7.3.1-1_amd64.deb
├── ure_1%3a7.3.1-1_amd64.deb
├── ure-java_1%3a7.3.1-1_amd64.deb
├── vlc_1%3a3.0.17-dmo2_amd64.deb
├── vlc-bin_1%3a3.0.17-dmo2_amd64.deb
├── vlc-data_1%3a3.0.17-dmo2_all.deb
├── vlc-l10n_1%3a3.0.17-dmo2_all.deb
├── vlc-plugin-base_1%3a3.0.17-dmo2_amd64.deb
├── vlc-plugin-notify_1%3a3.0.17-dmo2_amd64.deb
├── vlc-plugin-qt_1%3a3.0.17-dmo2_amd64.deb
├── vlc-plugin-samba_1%3a3.0.17-dmo2_amd64.deb
├── vlc-plugin-skins2_1%3a3.0.17-dmo2_amd64.deb
├── vlc-plugin-video-output_1%3a3.0.17-dmo2_amd64.deb
├── vlc-plugin-video-splitter_1%3a3.0.17-dmo2_amd64.deb
├── vlc-plugin-visualization_1%3a3.0.17-dmo2_amd64.deb
└── xterm_371-1_amd64.deb

0 directories, 142 files

Вопрос - как это смогло произойти самостоятельно? Через какой-то пакет? Или что-то внутри самого лиса? У меня стоит чекбокс в «Производительность -> Использовать рекомендуемые настройки производительности -> Эти настройки рассчитаны для вашего компьютера и операционной системы.», может что-то было подсунуто через это? Что за apple-style такой? Дебиан же, или и тут политика???

P.S. Я как-то ставил линёвый Microsoft Edge для скриншотов в галерею лора, но не может же быть чтобы он повлиял, там торчат уши с настройками от хрома...

★★

Лол, я наоборот каждый раз, когда захожу, выпиливаю яндекс, чтоб не мешался. Теперь даже стараться не придётся.

По теме, там где-то был search.json в файлах поставки, через него поисковики и задаются. Может добавили какой-нибудь флаг для выпила старых.

u0000 ()

По этому госуслуги и ещё некоторые государственные и медицинские сайты - заставили установить yandex browser beta с родного сайта, а в случае если ROSA Fresh Linux r12.2 уже там в репозиториях он доступен в полный рост. И пользоваться только им. Пришлось привыкать.

Хотя и в случае с ROSA Fresh r12.x и FF пересобран за заточкой под яндекс.

Не знаю насколько полезная эта информация, но, в моём случае, не оставила меня без лекарств и работы.

Просьба не пинать. Но это факт. Проживаю в центре России. 900км. от Москвы.

Mamluk ()
Ответ на: комментарий от u0000

Я у себя в профиле нашёл search.json.mozlz4, но чем его открывать - не знаю. Текстовые утилиты не могут определить кодировку. Да и его вес аж 293 байта, там наверное простыня...

NeTC ★★ ()
Ответ на: комментарий от NeTC

ну сходи на яндекс, добавь поисковую систему заново и сделай ее по умолчанию. Во всяком случае у меня вот так получилось

Slack ★★★★★ ()
Последнее исправление: Slack (всего исправлений: 1 )
Ответ на: комментарий от Mamluk

Ещё хромиум-гост норм. Мы его в госконторе гоняем. В теории без сюрпризов, и к тому же без СКЗИ умеет работать.

NeTC ★★ ()
Ответ на: удаленный комментарий

боюсь что это не дебиан, у меня на фре в ванильном фф тоже самое было. Заново руками добавил, все ок.

Slack ★★★★★ ()
Ответ на: комментарий от Slack

Как это можно ручками прописать, если вдруг понадобится? Хотя бы годной ссылкой ткните, я уже сам разберусь. А то что-то всё сильно устаревшее попадается.

NeTC ★★ ()
Последнее исправление: NeTC (всего исправлений: 1 )
Ответ на: комментарий от NeTC

заходишь на яндекс ру, и при этом на лупе в строке поиска появляется плюсик, вот туда и надо жать.

Slack ★★★★★ ()
Ответ на: комментарий от Mamluk

Проживаю в центре России. 900км. от Москвы.

Вроде и правильно, но что-то во мне сломалось. ;)

AVL2 ★★★★★ ()
Ответ на: комментарий от Slack

Да, я уже так и сделал. А есть ручной вариант, что-то где-то вписать без захода на страницу. Чтоб если что через терминал такое удалённо провернуть?

NeTC ★★ ()
Ответ на: комментарий от AVL2

Я не могу понять какой пакет заставил это сделать? У меня стоит Firefox ESR, который редко обновляется. Могу точно сказать, что с 12.02.2022 по сегодняшний день не было ни одного пакета связанного именем firefox. Обнов с этого периода было 13 штук, примерно раз в 3 дня (когда как). Не могу понять что именно изменило поиск, потому что даже при окончании договора с поисковой системой FF не ставит временный триггер, он просто изменяет следующий пакет обновлений. Тут как будто на самодеятельность похоже, чего мне вообще не нужно на лине.

NeTC ★★ ()

Чтобы добавить поисковую систему, надо

  1. Зайти в настройки и выбрать пункт Поиск «добавить панель поиска на панель инструментов»

  2. Перейти на сайт yandex.ru, нажать плюсик в виджете поиска на панели инструментов

  3. Нажать Я со значком плюсика.

Блин, всегда переключал с яндекса на гугл, но с таким свинством переключил обратно. Ладно система по умолчанию, но удалять поисковую систему, это перебор…

AVL2 ★★★★★ ()
Ответ на: комментарий от dyb4hzvo

Т.е. оно условно говоря при запуске браузера лезет по типу автообновления какого-то внутреннего аддона на проверку, видит на сервере мозиллы изменения и производит синхронизацию? У меня ESR, обнов браузера около месяца не было.

NeTC ★★ ()
Ответ на: комментарий от fornlr

Ну это не впервой. ТАк что можт и совпало. По крайней мере я нигде жовтоблакитных прапоров на мозилле не видел…

AVL2 ★★★★★ ()

«Firefox более не поддерживает Яндекс»

Mozilla удалила поиск от «Яндекса» из своего браузера Firefox и перевела пользователей на поиск от гугла. Официальных заявлений от компании не было. https://tjournal.ru/telegram/563198?comments

дакдакго вроде тоже яндекс выпилил из поиска

hakavlad ★★★ ()
Ответ на: комментарий от AVL2

Да, я уже поменял. Единственное не могу найти инструкцию как сделать это руками через терминал, чтоб можно было легко провернуть удалённо.

ФФ зря включил такую политоту, СПО не должно иметь национальность, если оно интернационально само по себе. Повадки как будто MS Internet Explorer (хотя даже они так не сделали, как крысы-тихушники).

NeTC ★★ ()
Ответ на: комментарий от AVL2

Это всё печально. СПО, которое изначально было с фичей полного контроля пользователя...

NeTC ★★ ()
Ответ на: комментарий от tiinn

Там можно поменять, особенно когда они встали на рельсы хрома. Да и в хроме такой тихушности тоже не помню (хотя почти не пользовался им).

NeTC ★★ ()
Ответ на: комментарий от u0000

lz4 никакого отношения к lzma не имеет. Пакет с утилитами для работы с ним в Debian так и называется lz4.

Radjah ★★★★★ ()
Последнее исправление: Radjah (всего исправлений: 1 )
Ответ на: комментарий от Slack

Я тоже так подумал, но в about:preferences#search яндекс отсутствует. Добавить не проблема, проблема в другом. Сегодня они выпиливают поиск, завтра майнер или кейлоггер зальют.

dnb ★★★★ ()
Ответ на: комментарий от NeTC

Вот и я о том же, без моего участия у меня ковыряются.

dnb ★★★★ ()
Ответ на: комментарий от NeTC

Вчерась (13.03.2022) установил на вин7 с оф сайта FF. Начальная страница как всегда яндекс. Можеге только для линукса выпилили?

Bootmen ☆☆☆ ()
Ответ на: комментарий от Bootmen

Вот скорее всего из-за синхронизации.

//только что дропнул аккаунт ФФ, пошли они нахер.

dnb ★★★★ ()
Ответ на: комментарий от dnb

Не уверен. У меня FF-ESR из пакетов установлен. Debian из своих реп не даёт устанавливать штатный FF-ESR как-то иначе, т.е. там обновы прилетают исключительно через терминальный apt update. В окне Справка -> О Firefox даже нет строчки о текущей актуальной версии, или о проверке версии, или о загрузке новой версии. Такая возможность выпилена мейнтейнерами для того, чтобы ESR-версии сами по себе не ломились на обновы (интерпрайз направленность), иными словами чтобы только пользователь мог обновиться исключительно через apt.

И тут, конечно, FF показывает очень интересный прецедент для СПО. Весело...

NeTC ★★ ()
Последнее исправление: NeTC (всего исправлений: 2 )
Ответ на: комментарий от amd_amd

Кому как. Мне с моими задачами нет. Это во-первых. Во-вторых, нахер такой браузер, который удалённо ведёт себя так же, как и аппле-устройство. Я уже присматриваюсь к другому варианту.

NeTC ★★ ()
Ответ на: комментарий от dumauz

Прикольно. Счас нажал обновить до 98.0.1 он качнул 6 мб и яндекс хреном сдуло. :) А вчера скачал с яндексом.

Bootmen ☆☆☆ ()
Ответ на: комментарий от NeTC

с моими задачами нет

а какие у тебя задачи? барахла прикупить - тогда да сойдет.

нахер такой браузер

вот это правильно - нахер эта лисица ума не приложу

amd_amd ★★★★ ()
Ответ на: комментарий от dnb

Только что проверил, ошибся я. У меня вчера фф обновился на онтопике и сегодня на офтопике, по этому связал с апдейтами. Сейчас проверил на машине без обновлений со старой версией ФФ, яндекс тоже пропал.

PS на днях утка, сейчас фф (((

pavel_l ()

Да пусть они идут в пятую точку! Поставлю оперу!

dumauz ()
Ответ на: комментарий от amd_amd

У меня в том числе много возни с юридическими тонкостями. Только сервисом Консультанта не обойтись, гугл на фоне событий вообще мусор начал выдавать.

NeTC ★★ ()
Последнее исправление: NeTC (всего исправлений: 1 )
Ограничение на отправку комментариев: комментарии запрещены